Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -1483,42 +1459,42 @@
 		$valueArray = $this->checkValue_group_select_explodeSelectGroupValue($value);
 
 			// If not multiple is set, then remove duplicates:
-		if (!$tcaFieldConf['multiple'])	{
+		if (!$tcaFieldConf['multiple']) {
 			$valueArray = array_unique($valueArray);
 		}
 
 			// If an exclusive key is found, discard all others:
-		if ($tcaFieldConf['type']=='select' && $tcaFieldConf['exclusiveKeys'])	{
+		if ($tcaFieldConf['type'] == 'select' && $tcaFieldConf['exclusiveKeys']) {
 			$exclusiveKeys = t3lib_div::trimExplode(',', $tcaFieldConf['exclusiveKeys']);
-			foreach($valueArray as $kk => $vv)	{
+			foreach ($valueArray as $kk => $vv) {
-				if (in_array($vv, $exclusiveKeys))	{	// $vv is the item key!
+				if (in_array($vv, $exclusiveKeys)) { // $vv is the item key!
-					$valueArray = Array($kk => $vv);
+					$valueArray = array($kk => $vv);
 					break;
 				}
 			}
 		}
 
-		// This could be a good spot for parsing the array through a validation-function which checks if the values are alright (except that database references are not in their final form - but that is the point, isn't it?)
-		// NOTE!!! Must check max-items of files before the later check because that check would just leave out filenames if there are too many!!
+			// This could be a good spot for parsing the array through a validation-function which checks if the values are alright (except that database references are not in their final form - but that is the point, isn't it?)
+			// NOTE!!! Must check max-items of files before the later check because that check would just leave out filenames if there are too many!!
 
 			// Checking for select / authMode, removing elements from $valueArray if any of them is not allowed!
-		if ($tcaFieldConf['type']=='select' && $tcaFieldConf['authMode'])	{
+		if ($tcaFieldConf['type'] == 'select' && $tcaFieldConf['authMode']) {
 			$preCount = count($valueArray);
-			foreach($valueArray as $kk => $vv)	{
+			foreach ($valueArray as $kk => $vv) {
-				if (!$this->BE_USER->checkAuthMode($table,$field,$vv,$tcaFieldConf['authMode']))	{
+				if (!$this->BE_USER->checkAuthMode($table, $field, $vv, $tcaFieldConf['authMode'])) {
 					unset($valueArray[$kk]);
 				}
 			}
 
 				// During the check it turns out that the value / all values were removed - we respond by simply returning an empty array so nothing is written to DB for this field.
-			if ($preCount && !count($valueArray))	{
+			if ($preCount && !count($valueArray)) {
 				return array();
 			}
 		}
 
 			// For group types:
-		if ($tcaFieldConf['type']=='group')	{
+		if ($tcaFieldConf['type'] == 'group') {
-			switch($tcaFieldConf['internal_type'])	{
+			switch ($tcaFieldConf['internal_type']) {
 				case 'file_reference':
 				case 'file':
 					$valueArray = $this->checkValue_group_select_file(
@@ -1538,9 +1514,9 @@
 			}
 		}
 			// For select types which has a foreign table attached:
-		if ($tcaFieldConf['type']=='select' && $tcaFieldConf['foreign_table'])	{
+		if ($tcaFieldConf['type'] == 'select' && $tcaFieldConf['foreign_table']) {
 				// check, if there is a NEW... id in the value, that should be substituded later
-			if (strpos($value, 'NEW') !== false) {
+			if (strpos($value, 'NEW') !== FALSE) {
 				$this->remapStackRecords[$table][$id] = array('remapStackIndex' => count($this->remapStack));
 				$this->addNewValuesToRemapStackChildIds($valueArray);
 				$this->remapStack[] = array(
@@ -1549,15 +1525,15 @@
 					'pos' => array('valueArray' => 0, 'tcaFieldConf' => 1, 'id' => 2, 'table' => 5),
 					'field' => $field
 				);
-				$unsetResult = true;
+				$unsetResult = TRUE;
 			} else {
 				$valueArray = $this->checkValue_group_select_processDBdata($valueArray, $tcaFieldConf, $id, $status, 'select', $table, $field);
 			}
 		}
 
 		if (!$unsetResult) {
-			$newVal=$this->checkValue_checkMax($tcaFieldConf, $valueArray);
+			$newVal = $this->checkValue_checkMax($tcaFieldConf, $valueArray);
-			$res['value'] = implode(',',$newVal);
+			$res['value'] = implode(',', $newVal);
 		} else {
 			unset($res['value']);
 		}
@@ -1579,25 +1555,25 @@
 	 * @return	array		Modified value array
 	 * @see checkValue_group_select()
 	 */
-	function checkValue_group_select_file($valueArray,$tcaFieldConf,$curValue,$uploadedFileArray,$status,$table,$id,$recFID)	{
+	function checkValue_group_select_file($valueArray, $tcaFieldConf, $curValue, $uploadedFileArray, $status, $table, $id, $recFID) {
 
-		if (!$this->bypassFileHandling)	{	// If filehandling should NOT be bypassed, do processing:
+		if (!$this->bypassFileHandling) { // If filehandling should NOT be bypassed, do processing:
 
 				// If any files are uploaded, add them to value array
 			if (is_array($uploadedFileArray) &&
 				$uploadedFileArray['name'] &&
-				strcmp($uploadedFileArray['tmp_name'],'none'))	{
+				strcmp($uploadedFileArray['tmp_name'], 'none')) {
-					$valueArray[]=$uploadedFileArray['tmp_name'];
+				$valueArray[] = $uploadedFileArray['tmp_name'];
-					$this->alternativeFileName[$uploadedFileArray['tmp_name']] = $uploadedFileArray['name'];
+				$this->alternativeFileName[$uploadedFileArray['tmp_name']] = $uploadedFileArray['name'];
 			}
 
 				// Creating fileFunc object.
-			if (!$this->fileFunc)	{
+			if (!$this->fileFunc) {
 				$this->fileFunc = t3lib_div::makeInstance('t3lib_basicFileFunctions');
-				$this->include_filefunctions=1;
+				$this->include_filefunctions = 1;
 			}
 				// Setting permitted extensions.
-			$all_files = Array();
+			$all_files = array();
 			$all_files['webspace']['allow'] = $tcaFieldConf['allowed'];
 			$all_files['webspace']['deny'] = $tcaFieldConf['disallowed'] ? $tcaFieldConf['disallowed'] : '*';
 			$all_files['ftpspace'] = $all_files['webspace'];
@@ -1606,15 +1582,15 @@
 
 			// If there is an upload folder defined:
 		if ($tcaFieldConf['uploadfolder'] && $tcaFieldConf['internal_type'] == 'file') {
-			if (!$this->bypassFileHandling)	{	// If filehandling should NOT be bypassed, do processing:
+			if (!$this->bypassFileHandling) { // If filehandling should NOT be bypassed, do processing:
 					// For logging..
-				$propArr = $this->getRecordProperties($table,$id);
+				$propArr = $this->getRecordProperties($table, $id);
 
 					// Get destrination path:
 				$dest = $this->destPathFromUploadFolder($tcaFieldConf['uploadfolder']);
 
 					// If we are updating:
-				if ($status=='update')	{
+				if ($status == 'update') {
 
 						// Traverse the input values and convert to absolute filenames in case the update happens to an autoVersionized record.
 						// Background: This is a horrible workaround! The problem is that when a record is auto-versionized the files of the record get copied and therefore get new names which is overridden with the names from the original record in the incoming data meaning both lost files and double-references!
@@ -1625,71 +1601,71 @@
 						// The versions uid is 456 and the file is copied to "logo_01.gif". But the form data that we sent was based on uid 123 and hence contains the filename "logo.gif" from the original.
 						// The file management code below will do two things: First it will blindly accept "logo.gif" as a file attached to the record (thus creating a double reference) and secondly it will find that "logo_01.gif" was not in the incoming filelist and therefore should be deleted.
 						// If we prefix the incoming file "logo.gif" with its absolute path it will be seen as a new file added. Thus it will be copied to "logo_02.gif". "logo_01.gif" will still be deleted but since the files are the same the difference is zero - only more processing and file copying for no reason. But it will work.
-					if ($this->autoVersioningUpdate===TRUE)	{
+					if ($this->autoVersioningUpdate === TRUE) {
-						foreach($valueArray as $key => $theFile)	{
+						foreach ($valueArray as $key => $theFile) {
-							if ($theFile===basename($theFile))	{	// If it is an already attached file...
+							if ($theFile === basename($theFile)) { // If it is an already attached file...
-								$valueArray[$key] = PATH_site.$tcaFieldConf['uploadfolder'].'/'.$theFile;
+								$valueArray[$key] = PATH_site . $tcaFieldConf['uploadfolder'] . '/' . $theFile;
 							}
 						}
 					}
 
 						// Finding the CURRENT files listed, either from MM or from the current record.
-					$theFileValues=array();
+					$theFileValues = array();
-					if ($tcaFieldConf['MM'])	{	// If MM relations for the files also!
+					if ($tcaFieldConf['MM']) { // If MM relations for the files also!
 						$dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 						/* @var $dbAnalysis t3lib_loadDBGroup */
-						$dbAnalysis->start('','files',$tcaFieldConf['MM'],$id);
+						$dbAnalysis->start('', 'files', $tcaFieldConf['MM'], $id);
 						foreach ($dbAnalysis->itemArray as $item) {
 							if ($item['id']) {
 								$theFileValues[] = $item['id'];
 							}
 						}
 					} else {
-						$theFileValues=t3lib_div::trimExplode(',',$curValue,1);
+						$theFileValues = t3lib_div::trimExplode(',', $curValue, 1);
 					}
 					$currentFilesForHistory = implode(',', $theFileValues);
 
 						// DELETE files: If existing files were found, traverse those and register files for deletion which has been removed:
-					if (count($theFileValues))	{
+					if (count($theFileValues)) {
 							// Traverse the input values and for all input values which match an EXISTING value, remove the existing from $theFileValues array (this will result in an array of all the existing files which should be deleted!)
-						foreach($valueArray as $key => $theFile)	{
+						foreach ($valueArray as $key => $theFile) {
-							if ($theFile && !strstr(t3lib_div::fixWindowsFilePath($theFile),'/'))	{
+							if ($theFile && !strstr(t3lib_div::fixWindowsFilePath($theFile), '/')) {
-								$theFileValues = t3lib_div::removeArrayEntryByValue($theFileValues,$theFile);
+								$theFileValues = t3lib_div::removeArrayEntryByValue($theFileValues, $theFile);
 							}
 						}
 
 							// This array contains the filenames in the uploadfolder that should be deleted:
-						foreach($theFileValues as $key => $theFile)	{
+						foreach ($theFileValues as $key => $theFile) {
 							$theFile = trim($theFile);
-							if (@is_file($dest.'/'.$theFile))	{
+							if (@is_file($dest . '/' . $theFile)) {
-								$this->removeFilesStore[]=$dest.'/'.$theFile;
+								$this->removeFilesStore[] = $dest . '/' . $theFile;
 							} elseif ($theFile) {
-								$this->log($table,$id,5,0,1,"Could not delete file '%s' (does not exist). (%s)",10,array($dest.'/'.$theFile, $recFID),$propArr['event_pid']);
+								$this->log($table, $id, 5, 0, 1, "Could not delete file '%s' (does not exist). (%s)", 10, array($dest . '/' . $theFile, $recFID), $propArr['event_pid']);
 							}
 						}
 					}
 				}
 
 					// Traverse the submitted values:
-				foreach($valueArray as $key => $theFile)	{
+				foreach ($valueArray as $key => $theFile) {
 						// NEW FILES? If the value contains '/' it indicates, that the file is new and should be added to the uploadsdir (whether its absolute or relative does not matter here)
-					if (strstr(t3lib_div::fixWindowsFilePath($theFile),'/'))	{
+					if (strstr(t3lib_div::fixWindowsFilePath($theFile), '/')) {
 							// Init:
 						$maxSize = intval($tcaFieldConf['max_size']);
-						$cmd='';
+						$cmd = '';
-						$theDestFile='';		// Must be cleared. Else a faulty fileref may be inserted if the below code returns an error!
+						$theDestFile = ''; // Must be cleared. Else a faulty fileref may be inserted if the below code returns an error!
 
 							// Check various things before copying file:
-						if (@is_dir($dest) && (@is_file($theFile) || @is_uploaded_file($theFile)))	{		// File and destination must exist
+						if (@is_dir($dest) && (@is_file($theFile) || @is_uploaded_file($theFile))) { // File and destination must exist
 
 								// Finding size. For safe_mode we have to rely on the size in the upload array if the file is uploaded.
-							if (is_uploaded_file($theFile) && $theFile==$uploadedFileArray['tmp_name'])	{
+							if (is_uploaded_file($theFile) && $theFile == $uploadedFileArray['tmp_name']) {
 								$fileSize = $uploadedFileArray['size'];
 							} else {
 								$fileSize = filesize($theFile);
 							}
 
-							if (!$maxSize || $fileSize<=($maxSize*1024))	{	// Check file size:
+							if (!$maxSize || $fileSize <= ($maxSize * 1024)) { // Check file size:
 									// Prepare filename:
 								$theEndFileName = isset($this->alternativeFileName[$theFile]) ? $this->alternativeFileName[$theFile] : $theFile;
 								$fI = t3lib_div::split_fileref($theEndFileName);
@@ -1699,8 +1675,8 @@
 									$theDestFile = $this->fileFunc->getUniqueName($this->fileFunc->cleanFileName($fI['file']), $dest);
 
 										// If we have a unique destination filename, then write the file:
-									if ($theDestFile)	{
+									if ($theDestFile) {
-										t3lib_div::upload_copy_move($theFile,$theDestFile);
+										t3lib_div::upload_copy_move($theFile, $theDestFile);
 
 											// Hook for post-processing the upload action
 										if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processUpload'])) {
@@ -1717,37 +1693,47 @@
 
 										$this->copiedFileMap[$theFile] = $theDestFile;
 										clearstatcache();
-										if (!@is_file($theDestFile))	$this->log($table,$id,5,0,1,"Copying file '%s' failed!: The destination path (%s) may be write protected. Please make it write enabled!. (%s)",16,array($theFile, dirname($theDestFile), $recFID),$propArr['event_pid']);
-									} else $this->log($table,$id,5,0,1,"Copying file '%s' failed!: No destination file (%s) possible!. (%s)",11,array($theFile, $theDestFile, $recFID),$propArr['event_pid']);
-								} else $this->log($table,$id,5,0,1,"File extension '%s' not allowed. (%s)",12,array($fI['fileext'], $recFID),$propArr['event_pid']);
-							} else $this->log($table,$id,5,0,1,"Filesize (%s) of file '%s' exceeds limit (%s). (%s)",13,array(t3lib_div::formatSize($fileSize),$theFile,t3lib_div::formatSize($maxSize*1024),$recFID),$propArr['event_pid']);
-						} else $this->log($table,$id,5,0,1,'The destination (%s) or the source file (%s) does not exist. (%s)',14,array($dest, $theFile, $recFID),$propArr['event_pid']);
+										if (!@is_file($theDestFile)) {
+											$this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: The destination path (%s) may be write protected. Please make it write enabled!. (%s)", 16, array($theFile, dirname($theDestFile), $recFID), $propArr['event_pid']);
+										}
+									} else {
+										$this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: No destination file (%s) possible!. (%s)", 11, array($theFile, $theDestFile, $recFID), $propArr['event_pid']);
+									}
+								} else {
+									$this->log($table, $id, 5, 0, 1, "File extension '%s' not allowed. (%s)", 12, array($fI['fileext'], $recFID), $propArr['event_pid']);
+								}
+							} else {
+								$this->log($table, $id, 5, 0, 1, "Filesize (%s) of file '%s' exceeds limit (%s). (%s)", 13, array(t3lib_div::formatSize($fileSize), $theFile, t3lib_div::formatSize($maxSize * 1024), $recFID), $propArr['event_pid']);
+							}
+						} else {
+							$this->log($table, $id, 5, 0, 1, 'The destination (%s) or the source file (%s) does not exist. (%s)', 14, array($dest, $theFile, $recFID), $propArr['event_pid']);
+						}
 
 							// If the destination file was created, we will set the new filename in the value array, otherwise unset the entry in the value array!
-						if (@is_file($theDestFile))	{
+						if (@is_file($theDestFile)) {
 							$info = t3lib_div::split_fileref($theDestFile);
-							$valueArray[$key]=$info['file']; // The value is set to the new filename
+							$valueArray[$key] = $info['file']; // The value is set to the new filename
 						} else {
-							unset($valueArray[$key]);	// The value is set to the new filename
+							unset($valueArray[$key]); // The value is set to the new filename
 						}
 					}
 				}
 			}
 
 				// If MM relations for the files, we will set the relations as MM records and change the valuearray to contain a single entry with a count of the number of files!
-			if ($tcaFieldConf['MM'])	{
+			if ($tcaFieldConf['MM']) {
 				$dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 				/* @var $dbAnalysis t3lib_loadDBGroup */
-				$dbAnalysis->tableArray['files']=array();	// dummy
+				$dbAnalysis->tableArray['files'] = array(); // dummy
 
 				foreach ($valueArray as $key => $theFile) {
 						// explode files
-						$dbAnalysis->itemArray[]['id']=$theFile;
+					$dbAnalysis->itemArray[]['id'] = $theFile;
 				}
-				if ($status=='update')	{
+				if ($status == 'update') {
-					$dbAnalysis->writeMM($tcaFieldConf['MM'],$id,0);
+					$dbAnalysis->writeMM($tcaFieldConf['MM'], $id, 0);
 					$newFiles = implode(',', $dbAnalysis->getValueArray());
-					list(,,$recFieldName) = explode(':', $recFID);
+					list(, , $recFieldName) = explode(':', $recFID);
 					if ($currentFilesForHistory != $newFiles) {
 						$this->mmHistoryRecords[$table . ':' . $id]['oldRecord'][$recFieldName] = $currentFilesForHistory;
 						$this->mmHistoryRecords[$table . ':' . $id]['newRecord'][$recFieldName] = $newFiles;
@@ -1756,26 +1742,26 @@
 						$this->mmHistoryRecords[$table . ':' . $id]['newRecord'][$recFieldName] = '';
 					}
 				} else {
-					$this->dbAnalysisStore[] = array($dbAnalysis, $tcaFieldConf['MM'], $id, 0);	// This will be traversed later to execute the actions
+					$this->dbAnalysisStore[] = array($dbAnalysis, $tcaFieldConf['MM'], $id, 0); // This will be traversed later to execute the actions
 				}
 				$valueArray = $dbAnalysis->countItems();
 			}
 			//store path relative to site root (if uploadfolder is not set or internal_type is file_reference)
 		} else {
-			if (count($valueArray)){
+			if (count($valueArray)) {
-				if (!$this->bypassFileHandling) {	// If filehandling should NOT be bypassed, do processing:
+				if (!$this->bypassFileHandling) { // If filehandling should NOT be bypassed, do processing:
 					$propArr = $this->getRecordProperties($table, $id); // For logging..
-					foreach($valueArray as &$theFile){
+					foreach ($valueArray as &$theFile) {
 
 							// if alernative File Path is set for the file, then it was an import
-						if ($this->alternativeFilePath[$theFile]){
+						if ($this->alternativeFilePath[$theFile]) {
 
 								// don't import the file if it already exists
 							if (@is_file(PATH_site . $this->alternativeFilePath[$theFile])) {
 								$theFile = PATH_site . $this->alternativeFilePath[$theFile];
 
 								// import the file
-							} elseif (@is_file($theFile)){
+							} elseif (@is_file($theFile)) {
 								$dest = dirname(PATH_site . $this->alternativeFilePath[$theFile]);
 								if (!@is_dir($dest)) {
 									t3lib_div::mkdir_deep(PATH_site, dirname($this->alternativeFilePath[$theFile]) . '/');
@@ -1784,10 +1770,10 @@
 									// Init:
 								$maxSize = intval($tcaFieldConf['max_size']);
 								$cmd = '';
-								$theDestFile = '';		// Must be cleared. Else a faulty fileref may be inserted if the below code returns an error!
+								$theDestFile = ''; // Must be cleared. Else a faulty fileref may be inserted if the below code returns an error!
 								$fileSize = filesize($theFile);
 
-								if (!$maxSize || $fileSize <= ($maxSize * 1024))	{	// Check file size:
+								if (!$maxSize || $fileSize <= ($maxSize * 1024)) { // Check file size:
 										// Prepare filename:
 									$theEndFileName = isset($this->alternativeFileName[$theFile]) ? $this->alternativeFileName[$theFile] : $theFile;
 									$fI = t3lib_div::split_fileref($theEndFileName);
@@ -1797,17 +1783,25 @@
 										$theDestFile = PATH_site . $this->alternativeFilePath[$theFile];
 
 											// Write the file:
-										if ($theDestFile)	{
+										if ($theDestFile) {
 											t3lib_div::upload_copy_move($theFile, $theDestFile);
 											$this->copiedFileMap[$theFile] = $theDestFile;
 											clearstatcache();
-											if (!@is_file($theDestFile)) $this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: The destination path (%s) may be write protected. Please make it write enabled!. (%s)", 16, array($theFile, dirname($theDestFile), $recFID), $propArr['event_pid']);
-										} else $this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: No destination file (%s) possible!. (%s)", 11, array($theFile, $theDestFile, $recFID), $propArr['event_pid']);
-									} else $this->log($table, $id, 5, 0, 1, "File extension '%s' not allowed. (%s)", 12, array($fI['fileext'], $recFID), $propArr['event_pid']);
-								} else $this->log($table, $id, 5, 0, 1, "Filesize (%s) of file '%s' exceeds limit (%s). (%s)", 13, array(t3lib_div::formatSize($fileSize), $theFile,t3lib_div::formatSize($maxSize * 1024),$recFID), $propArr['event_pid']);
+											if (!@is_file($theDestFile)) {
+												$this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: The destination path (%s) may be write protected. Please make it write enabled!. (%s)", 16, array($theFile, dirname($theDestFile), $recFID), $propArr['event_pid']);
+											}
+										} else {
+											$this->log($table, $id, 5, 0, 1, "Copying file '%s' failed!: No destination file (%s) possible!. (%s)", 11, array($theFile, $theDestFile, $recFID), $propArr['event_pid']);
+										}
+									} else {
+										$this->log($table, $id, 5, 0, 1, "File extension '%s' not allowed. (%s)", 12, array($fI['fileext'], $recFID), $propArr['event_pid']);
+									}
+								} else {
+									$this->log($table, $id, 5, 0, 1, "Filesize (%s) of file '%s' exceeds limit (%s). (%s)", 13, array(t3lib_div::formatSize($fileSize), $theFile, t3lib_div::formatSize($maxSize * 1024), $recFID), $propArr['event_pid']);
+								}
 
 									// If the destination file was created, we will set the new filename in the value array, otherwise unset the entry in the value array!
-								if (@is_file($theDestFile))	{
+								if (@is_file($theDestFile)) {
 									$theFile = $theDestFile; // The value is set to the new filename
 								} else {
 									unset($theFile); // The value is set to the new filename
@@ -1838,55 +1832,59 @@
 	 * @param	string		Field name
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_flex($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)	{
+	function checkValue_flex($res, $value, $tcaFieldConf, $PP, $uploadedFiles, $field) {
-		list($table,$id,$curValue,$status,$realPid,$recFID) = $PP;
+		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
-		if (is_array($value))	{
+		if (is_array($value)) {
 
 				// This value is necessary for flex form processing to happen on flexform fields in page records when they are copied.
 				// The problem is, that when copying a page, flexfrom XML comes along in the array for the new record - but since $this->checkValue_currentRecord does not have a uid or pid for that sake, the t3lib_BEfunc::getFlexFormDS() function returns no good DS. For new records we do know the expected PID so therefore we send that with this special parameter. Only active when larger than zero.
-			$newRecordPidValue = $status=='new' ? $realPid : 0;
+			$newRecordPidValue = $status == 'new' ? $realPid : 0;
 
 				// Get current value array:
-			$dataStructArray = t3lib_BEfunc::getFlexFormDS($tcaFieldConf,$this->checkValue_currentRecord,$table,'',TRUE,$newRecordPidValue);
+			$dataStructArray = t3lib_BEfunc::getFlexFormDS($tcaFieldConf, $this->checkValue_currentRecord, $table, '', TRUE, $newRecordPidValue);
 
 			$currentValueArray = t3lib_div::xml2array($curValue);
-			if (!is_array($currentValueArray))	$currentValueArray = array();
-			if (is_array($currentValueArray['meta']['currentLangId']))		unset($currentValueArray['meta']['currentLangId']);	// Remove all old meta for languages...
+			if (!is_array($currentValueArray)) {
+				$currentValueArray = array();
+			}
+			if (is_array($currentValueArray['meta']['currentLangId'])) {
+				unset($currentValueArray['meta']['currentLangId']);
+			} // Remove all old meta for languages...
 
 				// Evaluation of input values:
-			$value['data'] = $this->checkValue_flex_procInData($value['data'],$currentValueArray['data'],$uploadedFiles['data'],$dataStructArray,$PP);
+			$value['data'] = $this->checkValue_flex_procInData($value['data'], $currentValueArray['data'], $uploadedFiles['data'], $dataStructArray, $PP);
 
 				// Create XML and convert charsets from input value:
-			$xmlValue = $this->checkValue_flexArray2Xml($value,TRUE);
+			$xmlValue = $this->checkValue_flexArray2Xml($value, TRUE);
 
 				// If we wanted to set UTF fixed:
-			// $storeInCharset='utf-8';
-			// $currentCharset=$GLOBALS['LANG']->charSet;
-			// $xmlValue = $GLOBALS['LANG']->csConvObj->conv($xmlValue,$currentCharset,$storeInCharset,1);
+				// $storeInCharset='utf-8';
+				// $currentCharset=$GLOBALS['LANG']->charSet;
+				// $xmlValue = $GLOBALS['LANG']->csConvObj->conv($xmlValue,$currentCharset,$storeInCharset,1);
-			$storeInCharset=$GLOBALS['LANG']->charSet;
+			$storeInCharset = $GLOBALS['LANG']->charSet;
 
 				// Merge them together IF they are both arrays:
 				// Here we convert the currently submitted values BACK to an array, then merge the two and then BACK to XML again. This is needed to ensure the charsets are the same (provided that the current value was already stored IN the charset that the new value is converted to).
-			if (is_array($currentValueArray))	{
+			if (is_array($currentValueArray)) {
 				$arrValue = t3lib_div::xml2array($xmlValue);
-				$arrValue = t3lib_div::array_merge_recursive_overrule($currentValueArray,$arrValue);
+				$arrValue = t3lib_div::array_merge_recursive_overrule($currentValueArray, $arrValue);
-				$xmlValue = $this->checkValue_flexArray2Xml($arrValue,TRUE);
+				$xmlValue = $this->checkValue_flexArray2Xml($arrValue, TRUE);
 			}
 
 				// Action commands (sorting order and removals of elements)
 			$actionCMDs = t3lib_div::_GP('_ACTION_FLEX_FORMdata');
-			if (is_array($actionCMDs[$table][$id][$field]['data']))	{
+			if (is_array($actionCMDs[$table][$id][$field]['data'])) {
 				$arrValue = t3lib_div::xml2array($xmlValue);
-				$this->_ACTION_FLEX_FORMdata($arrValue['data'],$actionCMDs[$table][$id][$field]['data']);
+				$this->_ACTION_FLEX_FORMdata($arrValue['data'], $actionCMDs[$table][$id][$field]['data']);
-				$xmlValue = $this->checkValue_flexArray2Xml($arrValue,TRUE);
+				$xmlValue = $this->checkValue_flexArray2Xml($arrValue, TRUE);
 			}
 
 				// Create the value XML:
-			$res['value']='';
+			$res['value'] = '';
-			$res['value'].=$xmlValue;
+			$res['value'] .= $xmlValue;
-		} else {	// Passthrough...:
+		} else { // Passthrough...:
-			$res['value']=$value;
+			$res['value'] = $value;
 		}
 
 		return $res;
@@ -1899,7 +1897,7 @@
 	 * @param	boolean		If set, the XML prologue is returned as well.
 	 * @return	string		Input array converted to XML
 	 */
-	function checkValue_flexArray2Xml($array, $addPrologue=FALSE)	{
+	function checkValue_flexArray2Xml($array, $addPrologue = FALSE) {
 		$flexObj = t3lib_div::makeInstance('t3lib_flexformtools');
 		/* @var $flexObj t3lib_flexformtools */
 		return $flexObj->flexArray2Xml($array, $addPrologue);
@@ -1912,27 +1910,27 @@
 	 * @param	array		$deleteCMDS: ...	 *
 	 * @return	void
 	 */
-	function _ACTION_FLEX_FORMdata(&$valueArray,$actionCMDs)	{
+	function _ACTION_FLEX_FORMdata(&$valueArray, $actionCMDs) {
-		if (is_array($valueArray) && is_array($actionCMDs))	{
+		if (is_array($valueArray) && is_array($actionCMDs)) {
-			foreach($actionCMDs as $key => $value)	{
+			foreach ($actionCMDs as $key => $value) {
-				if ($key=='_ACTION')	{
+				if ($key == '_ACTION') {
 						// First, check if there are "commands":
-					if (current($actionCMDs[$key])!=="")	{
+					if (current($actionCMDs[$key]) !== "") {
 						asort($actionCMDs[$key]);
 						$newValueArray = array();
-						foreach($actionCMDs[$key] as $idx => $order)	{
+						foreach ($actionCMDs[$key] as $idx => $order) {
-							if (substr($idx,0,3)=="ID-")	{
+							if (substr($idx, 0, 3) == "ID-") {
 								$idx = $this->newIndexMap[$idx];
 							}
-							if ($order!="DELETE")	{	// Just one reflection here: It is clear that when removing elements from a flexform, then we will get lost files unless we act on this delete operation by traversing and deleting files that were referred to.
+							if ($order != "DELETE") { // Just one reflection here: It is clear that when removing elements from a flexform, then we will get lost files unless we act on this delete operation by traversing and deleting files that were referred to.
 								$newValueArray[$idx] = $valueArray[$idx];
 							}
 							unset($valueArray[$idx]);
 						}
-						$valueArray = t3lib_div::array_merge($newValueArray,$valueArray);
+						$valueArray = t3lib_div::array_merge($newValueArray, $valueArray);
 					}
-				} elseif (is_array($actionCMDs[$key]) && isset($valueArray[$key]))	{
+				} elseif (is_array($actionCMDs[$key]) && isset($valueArray[$key])) {
-					$this->_ACTION_FLEX_FORMdata($valueArray[$key],$actionCMDs[$key]);
+					$this->_ACTION_FLEX_FORMdata($valueArray[$key], $actionCMDs[$key]);
 				}
 			}
 		}
@@ -1949,11 +1947,11 @@
 	 * @param	string		Field name
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_inline($res,$value,$tcaFieldConf,$PP,$field)	{
+	function checkValue_inline($res, $value, $tcaFieldConf, $PP, $field) {
 		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
-		if (!$tcaFieldConf['foreign_table'])	{
+		if (!$tcaFieldConf['foreign_table']) {
-			return false;	// Fatal error, inline fields should always have a foreign_table defined
+			return FALSE; // Fatal error, inline fields should always have a foreign_table defined
 		}
 
 			// When values are sent they come as comma-separated values which are exploded by this function:
@@ -1965,7 +1963,7 @@
 			// Example for received data:
 			// $value = 45,NEW4555fdf59d154,12,123
 			// We need to decide whether we use the stack or can save the relation directly.
-		if(strpos($value, 'NEW') !== false || !t3lib_div::testInt($id)) {
+		if (strpos($value, 'NEW') !== FALSE || !t3lib_div::testInt($id)) {
 			$this->remapStackRecords[$table][$id] = array('remapStackIndex' => count($this->remapStack));
 			$this->addNewValuesToRemapStackChildIds($valueArray);
 			$this->remapStack[] = array(
@@ -1975,7 +1973,7 @@
 				'field' => $field
 			);
 			unset($res['value']);
-		} elseif($value || t3lib_div::testInt($id)) {
+		} elseif ($value || t3lib_div::testInt($id)) {
 			$res['value'] = $this->checkValue_inline_processDBdata($valueArray, $tcaFieldConf, $id, $status, $table, $field);
 		}
 
